Subject: Re: NET_NS: unregister_netdevice: waiting for lo to become free (after using openvpn)

From: [email-masked] (Eric W. Biederman)
Date: Wed, 04 Aug 2010 15:04:08 -0700

Greg KH <[email-masked]> writes:

> On Wed, Aug 04, 2010 at 03:35:43PM +0200, Michael Leun wrote:
>> Hi,
>> 
>> On Sun, 11 Jul 2010 19:29:39 +0200
>> Michael Leun <[email-masked]> wrote:
>> 
>> [...]
>> > Jul 10 20:02:36 doris kernel: unregister_netdevice: waiting for lo to
>> > become free. Usage count = 3 [repeated]

Does this repeat indefinitely, or are there only a couple of repetitions?
If this repeats indefinitely every 5 seconds or so we have a serious bug.

Otherwise we just have cleanup taking longer than it should, which isn't
ideal but it is much less severe.

>> > Now one might say it is fault of openvpn (used OpenVPN 2.1_rc20
>> > i586-suse-linux - the one in openSuSE 11.2 package), openvpn didn't
>> > close some ressource and ssh does fine.
>> > 
>> > But: should'nt kernel clean up after process when it exits?
>> > And/or: Should'nt kernel clean up if last process in network namespace
>> > exits - there is nothing left which might use that interface?!
>> > 
>> > Greg KH <[email-masked]> wrote:
>> > 
>> > > Yes, you are correct.  Care to resend all of this to the
>> > > network-namespace developer(s) and the netdev mailing list so that
>> > > the correct people are notified so they can fix it all?
>> > 
>> > [X] done - hopefully, cannot find a particular network namespace
>> > developer in MAINTAINERS or source files. If such a one exists, please
>> > forward.
>> 
>> Did'nt work. Got no reaction from network mailinglist at all and bug
>> still is in 2.6.35.
>
> Eric, here's a bug with the network namespace stuff, care to work on
> resolving it?

Greg thanks for forwarding this in my direction.

Eric